/* 
 * This file is part of DesktopBSD, see the README file.
 *
 * Author: Peter Hofer <ph@desktopbsd.net>
 *         (C) 2004, 2005
 *
 * Copyright: BSD, see the COPYING file included in this distribution
 *
 */

#include <err.h>

#include <kaboutdata.h>
#include <ksystemtray.h>
#include <kcmdlineargs.h>
#include <knotifyclient.h>
#include <kuniqueapplication.h>

#include <translation.h>
#include <devdlistener.h>

int  main(int argc, char *argv[]) {
   KAboutData  about("dbsd-hwnotify", "Hardware Notifier", "", NULL, KAboutData::License_BSD);
   KCmdLineArgs::init(argc, argv, &about);
   KUniqueApplication::addCmdLineOptions();
   if(!KUniqueApplication::start())
   	errx(0, "already running.");
   
   KUniqueApplication  app;

	Translation::installTranslator();
   new  DevdListener();
   
   return  app.exec();
}
